#products{
  margin: 0 auto;
  margin-top: 50px;
    height: 50%;
    width: 85%;
    box-shadow: 1px 1px 15px gray;
    border-radius: 10px;
    padding: 15px;

}
#products h3{
  margin-bottom: 20px;
}

#container{
  margin-top: -25px;
}

#guardarform{
  left:  100%;
}

/* Detalle */
#btnopciones{
  float: right;
  display: flex;
  margin: 10px 10px 10px 10px;
}
#btnComprar{
  margin-right: 10px;
  border-radius: 10px;
}
#btnAgregar{
  display: block;
  float: left;
  margin-left: 25px;
  margin-right: 15px;

  
}
#Descripcion{
  border-radius: 5px;
  margin: 5px 5px 5px 5px ;
  width: 95%;
  height: 300px;
  background-color: #e8e8e8;
  color: black;
}
#Descripcion div{
  margin: 10px 10px 10px 10px ;
}
#Descripcion div p{
  margin: 10px 10px 10px 10px ;
}
#titulo{
  display: block;
  margin-top: -35px;
  text-align: center;
  font-size: 25px;
  font-weight: bold;
  margin-bottom: 10px;

}

#InputBuscarProducto{
  display: block;
  width: 78%;
  float: right;
}

.Activos{
  margin: 0 auto;
  text-align: center;
  font-size: 22px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  margin-top:20px;
}
.Inactivos{
  font-size:  22px;
  text-align: center;
font-family: Verdana, Geneva, Tahoma, sans-serif;
  margin-top:20px;
}

#options{
  width: 20%;
  margin-left: 15px;
}

#ProductosActivosTitulo{
  font-size: 25px;
  font-weight: bold;
  text-align: center;
  margin-left: 40px;
  margin-bottom: 10px;
  margin-top: -60px;
}

#btnAddProductoContainer{
  display: block;

}

#filtro_tabla{
   display: block;
   width: 25%;
  height: 42px;
  float: left;
  
}


#carta{
  border-radius: 10px;
  box-shadow: 1px 1px 15px gray;
  margin: 0 auto;
  width: 90%;
  height: 75%;
}
#ImagenDetalle{
  margin:  15px 15px 15px 15px;
  height: 550px;
  border: .5px solid green;
  border-radius: 10px;
  text-align: center;

}
#DetalleContenido{
  margin-top: 15px;
  height: 550px;
  border: .5px solid steelblue;
}

.CardContainer{
  border-radius: 10px;
  display: block;
  margin: 0 auto;
  width: 80%;
  height: 800px;
  box-shadow: 1px 1px 15px gray;

}
#CardDetalle{
  display: block;
  margin: 0 auto;
  width: 900px;
  height: 80%;

}
.active{
  left: 100%;
  display: flex;
}
.disable{
  display: flex;
  color: red !important;
}
 /*  Detalle */

#opciones{
    float: right;
    margin-bottom: 10px;
    margin-top: 10px;

}
.botones_detalle{
    float: right;
}

/* LISTADO */
#buscadorform{
    display: flex;
}
#buscador{
	border: 1px solid #D24D57;

}
#searchbtn {
    margin: 0;
    border-radius: 5px;
	border: 1px solid #D24D57;
}

#searchbtn:hover {
    opacity: 1;
    color: white;
    background-color: #D24D57;
}

.swal-info{
    width:900px !important;
    height: fit-content !important;
}

#modal{
    border: 1px solid black;
    width: 100% !important;
    
}
#ModalHeader{
    display: block;
    margin: 0 auto;
    text-align: center;
    border: 1px solid black transparent;
    width: 100%;
    
}
.modalbuttons{
    display: flex;
    width: fit-content;
}
#editar{
    margin-right:10px ;
}


/* Modal component */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    font-family: Arial, Helvetica, sans-serif;
  }
  
  .btn-openModal {
    background: #2c2c2c;
    color: #eee;
    font-size: 1rem;
    margin: 1rem;
    padding: .5rem 1.8rem;
    border: none;
    outline: none;
    cursor: pointer;
  }
  
  .modal-wrapper {
    background: #fff;
    width: 50%;
    margin: 4rem auto;
    transition: all .5s ease;
  }
  
  #updateProductoheader {
    width: 100%;
    background: #2c2c2c;
    color: #e9e9e9;
    display: flex;
    justify-content: space-between;
    padding: 25px;
  }  
  #titleUpdateProduct{
    display: block;
    margin: 0 auto;
    font-size: 25px;
    font-weight: bold;
  }
  
  .modal-header span {
    display: block;
    font-size: 1.5rem;
    cursor: pointer;

  }
  
  .modal-content {
    padding:  5px;
  }
 
 
  .modal-body h4 {
    font-size: 1.8rem;
    color: #DD501D;
  }
  
  .modal-body p {
    font-size: 1rem;
    background: #eee;
    color: #333;
    padding: 1rem;
    margin: 1rem 0 2rem 0;
  }
  
  .modal-footer  {
    display: block;
    font-size: 1rem;
    margin-left: auto;
    padding: 0.5rem 1.8rem;
    color: #fff;
    border: none;
    outline: none;
  }
  
  .back-drop {
    background: rgba(63, 61, 61, 0.692);
    height: 1650px;
    position: fixed;
    transition: all 1.3s;
    width: 100%;
    margin-top: -565px;

  }

  .test{
    height: 0;
}

  /* Listado */
  #tabla{
    display: block;
    margin: 0 auto;
    box-shadow: 1px 1px 15px 2px gray;
    height: 100%;
    width: 95% !important;
    margin-top: 20px;
    border-bottom: 1px solid black;
}
  /* Listado */
  .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: gray;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #2196F3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }
.SwitchContainer{
  display: block;
  float: right;
  margin-right: 250px;
  margin-top: -15px;
}

#form-Group{
  margin-bottom: 5px;
}

#buttonGuardarModal{
  margin-right: 15px;
}

#footerButtonsModal{
  display: block;
  float: right;
}

.label{
  margin-left: 2px;
}